#
# spec file for package tetex (Version 2.0.2)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  dialog ed ghostscript-mini-packages gpp libgpp libpng-devel-packages x-devel-packages
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib dialog ed fontconfig fontconfig-devel gcc gcc-c++ gdbm gettext ghostscript-mini libpng libpng-devel libstdc++-devel libtool perl rpm

Name:         tetex
License:      TeX-License, Other License(s), see package
%define PREFIX      /usr
%define TEXMFMAIN   %{PREFIX}/share/texmf
%define TETEX       %{TEXMFMAIN}/teTeX
%define SYSCONFDIR  /etc/texmf
%define FONTCACHE   /var/cache/fonts
%define VARTEXMF    /var/lib/texmf
%define TEXLSR      %{VARTEXMF}/db/ls-R
%define listings    lists/ams lists/base lists/context lists/dvilj lists/eplain lists/etex lists/kpath lists/latex lists/mpost lists/omega lists/pdf lists/tetex lists/web lists/ptex
%define options     ${RPM_SOURCE_DIR}/../tetex.opt
Group:        Productivity/Publishing/TeX/Base
PreReq:       fillup %install_info_prereq
Provides:     TeX dvips gentle lametex pictex xtexsh te_pscm
Obsoletes:    te_pscm
Requires:     dialog ed perl ghostscript_x11
Conflicts:    ntex
Autoreqprov:  on
Summary:      The base system of teTeX
Version:      2.0.2
Release:      212
Source0:      tetex-texmf-%{version}.tar.bz2
Source1:      tetex-src-%{version}.tar.bz2
# Source1 is extract from Source3
NoSource:     1
Source2:      ec-ready-mf-tfm.tar.bz2
Source3:      tetex-texmfsrc-%{version}.tar.bz2
Source4:      tetex-listings.tar.bz2
%define   ptex_texmf_version 2.1
Source6:      ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/tetex/ptex-texmf-%{ptex_texmf_version}.tar.bz2
%define   ptex_src_version 3.1.2
Source7:      ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/tetex/ptex-src-%{ptex_src_version}.tar.bz2
Source8:      ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/dvips/dvipsk-jpatch-p1.5g.tar.bz2
Source5:      http://www.fsci.fuk.kindai.ac.jp/aftp/pub/ptex/utils/dvipsk-5.92b-p1.5g.tar.bz2
%define   mendexk_version 2.5
Source9:      ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/mendex/mendexk%{mendexk_version}.tar.bz2
Source10:     ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/jvf/jis.tar.bz2
Source11:     ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/jvf/morisawa.tar.bz2
%define   makejvf_version 1.1a
Source12:     ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/jvf/makejvf-%{makejvf_version}.tar.bz2
Source13:     ftp://ftp.ascii.co.jp/pub/TeX/ascii-ptex/jvf/readme-jis.txt
Source14:     standard.map
Source15:     README.SuSE.ptex
Source16:     de-tex-faq.tar.bz2
Source17:     g-brief.tar.bz2
Patch0:       tetex-src-%{version}.dif
Patch1:       texmf.dif
Patch2:       mendexk%{mendexk_version}.patch
Patch3:       makejvf-%{makejvf_version}.patch
Patch4:       pdvips.patch
Patch5:       ptex-src-%{ptex_src_version}.suse.patch
Patch6:       tetex-src-%{version}-xdvi-numlock.dif
Patch7:       tetex-src-%{version}-readlink.dif
Patch8:       dvipsk592b.patch
Patch9:       tetex-src-%{version}-xdvizilla.dif
Patch10:      xpdf-CESA-2004-007-xpdf2.dif
Patch11:      xpdf-goo_underflow-xpdf2.dif
Patch12:      xpdf-3.00pl2-xpdf2.dif
Patch13:      xpdf-3.00pl3-xpdf2.dif
Patch14:      tetex-src-2.0.2-lsr.dif

%description
After installing teTeX and the package te_latex, find a large selection
of documentation for TeX, LaTeX, and various layout styles under
/usr/share/texmf/doc.

TeX (pronounced tech) is an interpreter for text formatting and was
developed by Donald E. Knuth.  It works with control and macro commands
on a text file. Working with TeX is similar to typesetting methods.
LaTeX or better LaTeX2e is a complex macro package which  removes the
cryptical TeX interface and does most of the work for the user.

TeX uses special fonts produced by the MetaFont program. Various
printer drivers and an X11 viewer is also included in this package. The
teTeX package is based on the standard	TeX package of Karl Berry which
makes configuration much easier. It's also possible to use PostScript
fonts. A real PostScript printer is required however. If the
ghostscript (gs) package is installed, all drivers for printing and
viewing can use these fonts. Note,  however, that the fonts included in
the ghostscript package are not identical to Adobe's PostScript fonts.
The copyright  prohibits us from including them on the CD.

Besides these features, there are the programs MakeIndex (for producing
indexes), BibTeX (for literature data-processing), and the script
xtexsh (requires tcl/tk).

Note the differences between LaTeX2.09 and LaTeX2e. LaTeX2e can process
original LaTeX2.09 text, but style files that require LaTeX2.09
internal macros may not work correctly.  Under
/usr/share/texmf/doc/latex/base/, find the documentation for LaTeX2e. 
New users should review the documentation stored there.

The teTeX package from Thomas Esser includes a full texmf tree, many
programs (tex, dvips, ...), shell scripts configuration, and a big
collection of documentations. This package is simply configured by the
script texconfig and has multilanguage options.

Do not install this package together with ntex; ntex is not delivered
together with SuSE Linux.

teTeX is NOT an upgrade or update for the ntex package!!



Authors:
--------
    Karl Berry
    Tim Morgan
    Tomas Rokicki
    Donald Ervin Knuth
    Thomas Esser <te@informatik.uni-hannover.de>

%package     -n te_ams
Conflicts:    te_nfs
Requires:     tetex
Summary:      All about Ams-TeX
Group:        Productivity/Publishing/TeX/Base
Autoreqprov:  on

%description -n te_ams
This package provides AmS-TeX some parts of AmS-LaTeX, which is
released by the American Mathematical Society. For using AmS-TeX,
AmS-LaTeX, or their styles, install this package.



Authors:
--------
    Karl Berry
    Tim Morgan
    Tomas Rokicki
    Donald Ervin Knuth
    Thomas Esser <te@informatik.uni-hannover.de>

%package     -n te_cont
Conflicts:    te_nfs
Requires:     tetex te_pdf perl-Tk
Summary:      The conTeXt system depending on pdfTeX
Group:        Productivity/Publishing/TeX/Base
Autoreqprov:  on

%description -n te_cont
The conTeXt macro package is written in TeX and, depending on the
configuration, is able to use the pdf output format. ConTeXt is free
software, the license is given in

/usr/share/texmf/doc/context/base/licen-en.pdf

(best viewed with the Acrobat Reader).



Authors:
--------
    Hans Hagen <pragma@pi.net>
    Ton Otten <pragma@pi.net>

%package     -n te_dvilj
Conflicts:    te_nfs
Requires:     tetex
Summary:      Printer drivers for LaserJets (obsolete)
Group:        Productivity/Publishing/TeX/Base
Autoreqprov:  on

%description -n te_dvilj
This package contains drivers for various LaserJets. In most cases,
these drivers are not used because, with the programs dvips and
ghostscript, not only the same print quality is reached, but, due to
the intermediate PostScript step, some very useful graphical features
are given.



Authors:
--------
    Gustaf Neumann <neumann@wu-wien.ac.at>
    Karl Berry <kb@cs.umb.edu>

%package     -n te_eplai
Conflicts:    te_nfs
Requires:     tetex
Summary:      An extended plain TeX version (not NTS)
Group:        Productivity/Publishing/TeX/Base
Autoreqprov:  on

%description -n te_eplai
Eplain is an extension of plain TeX which adds some useful features to
plain TeX, e.g., footnotes, citations using BibTeX, and some more.



Authors:
--------
    Karl Berry <karl@cs.umb.edu>

%package     -n te_etex
Conflicts:    te_nfs
Requires:     tetex te_latex
Summary:      The Extended TeX/LaTeX from the NTS Project
Group:        Productivity/Publishing/TeX/Base
Autoreqprov:  on

%description -n te_etex
The aims of this project are to perpetuate and develop the spirit and
philosophy of TeX, while respecting Professor Donald Erwin Knuth's wish
that TeX should remain frozen.	eTeX is the first concrete result which
can be used in two different modes. In compatibility mode, it is
supposed to be completely interchangeable with standard TeX.  In
extended mode, several new primitives are added that facilitate (among
other things) bidirectional typesetting.

The formats are often prefixed with an 'e,' hence eTeX as the extended
version of TeX and eLaTeX as the extended version of LateX.  However,
eplain is an exception to this rule.



Authors:
--------
    Joachim Lammarsch <joachim.lammarsch@urz.uni-heidelberg.de>
    Philip Taylor
    Peter Breitenlohner <peb@mppmu.mpg.de>
    Jiri Zlatuska
    Bernd Raichle
    Friedhelm Sowa <sowa@clio.rz.uni-duesseldorf.de>
    Rainer Schpf
    Joachim Schrod

%package     -n te_kpath
Summary:      The headers and library of the kpathsea tools
Group:        Productivity/Publishing/TeX/Base
Autoreqprov:  on

%description -n te_kpath
The purpose of the kpathsea library is to return a file name from a
list of directories.  This package provides the static library and the
header files for compiling and linking programs with kpathsea support.
For the normal use of TeX and LaTeX, this package is not required.



Authors:
--------
    Karl Berry  <karl@cs.umb.edu>
    Olaf Weber  <olaf@infovore.xs4all.nl>
    Fabrice Popineau  <popineau@ese-metz.fr>

%package     -n te_latex
Conflicts:    te_nfs
Requires:     tetex %install_info_prereq
Summary:      All about LaTeX
Group:        Productivity/Publishing/TeX/Base
Autoreqprov:  on

%description -n te_latex
This package provides LaTeX, to be exact LaTeX2e, and a huge amount
software around LaTeX.	This package is required by the most (La)TeX
documents.



Authors:
--------
    Leslie Lamport <lamport@pa.dec.com>
    Johannes Braams
    David Carlisle
    Alan Jeffrey
    Frank Mittelbach <frank.mittelbach@uni-mainz.de>
    Chris Rowley
    Rainer Schpf
    Members of the LaTeX3 project

%package     -n te_mpost
Conflicts:    te_nfs
Requires:     tetex
Summary:      All about MetaPost
Group:        Productivity/Publishing/TeX/Base
Autoreqprov:  on

%description -n te_mpost
This package provides MetaPost, which is a program with a similar macro
language as MetaFont, but, in comparision to MetaFont, the output is
not a bitmap, but in PostScript.

If familiar with the language of MetaFont, this program will provide an
excellent tool for drawing. This can happens interactively, with a
file, or by an other program.



Authors:
--------
    John D. Hobby
    Ulrik Vieth

%package     -n te_nfs
Conflicts:    tetex te_ams te_cont te_dvilj te_etex te_eplai te_kpath te_latex te_mpost te_omega te_pdf te_web
Requires:     /usr/sbin/showmount
Summary:      For NFS clients mounting the TeX/LaTeX system
Group:        Productivity/Publishing/TeX/Base
Autoreqprov:  on

%description -n te_nfs
This small package provides a script which makes it easy to mount the
full TeTeX system (version 0.9) of a SuSE Linux server over NFS.  You
will find a short description in /usr/share/doc/packages/te_nfs/README.



Authors:
--------
    Werner Fink <werner@suse.de>

%{_defaultdocdir}/README. 
%package     -n te_omega
Conflicts:    te_nfs
Requires:     tetex te_latex ghostscript_x11
Summary:      Omega, an extended TeX/LaTeX version with unicode
Group:        Productivity/Publishing/TeX/Base
Autoreqprov:  on

%description -n te_omega
The Omega typesetting system, an extension of TeX, is designed for
typesetting of all the world's languages. It normally  uses the unicode
character encoding standard as internal representation.

If this extension used together with the macro package LaTeX, this
version of Omega is called Lambda.



Authors:
--------
    John Plaice <plaice@cse.unsw.edu.au>
    Yannis Haralambous <yannis@fluxus-virus.com>

%package     -n te_pdf
Conflicts:    te_nfs
Requires:     tetex te_latex te_etex
Summary:      A TeX/LaTeX version which creates pdf files
Group:        Productivity/Publishing/TeX/Base
Autoreqprov:  on

%description -n te_pdf
The typical use of pdfTeX is with a pregenerated formats for which PDF
output has been enabled.  The pdftex command uses the equivalent of the
plain TeX format. The pdflatex command uses the equivalent of the LaTeX
format.



Authors:
--------
    Han The Thanh <thanh@informatics.muni.cz>
    Petr Sojka
    Jiri Zlatuska

%package     -n te_web
Conflicts:    te_nfs
Requires:     tetex te_kpath
Summary:      The WEB tools for programming in WEB
Group:        Productivity/Publishing/TeX/Base
Autoreqprov:  on

%description -n te_web
WEB is a programming language designed to force the programmer to write
the documentation during programming.  For example, Donald Erwin Knuth
has written his typesetting program Tex in WEB.

The tools tangle and weave are used to produce the ready to compile
source code in Pascal and the documentation in TeX.

This package is not required for the use of TeX or LaTeX.



Authors:
--------
    Ignacio  Zabala
    Donald Erwin Knuth
    Howard Trickey
    Pavel Curtis

%package     -n te_ptex
Requires:     tetex te_latex te_kpath %install_info_prereq
Summary:      "The publishing TeX", Japanese-capable TeX/LaTeX by ASCII corporation
Group:        Productivity/Publishing/TeX/Base
Autoreqprov:  on
%define ptex_info_entry * pdvips: (pdvips)Invoking pDvips.   Japanese DVI-to-PostScript translator.

%description -n te_ptex
"The publishing TeX", Japanese-capable TeX/LaTeX by ASCII corporation



Authors:
--------
    ASCII Corporation <www-ptex@ascii.co.jp>

%prep
#####################################################################################
set +x
if [ -d %{TEXMFMAIN}/ -o -d %{SYSCONFDIR}/ ] ; then
set +x
echo "Warning: Building this source package would overwrite your installed tetex" 1>&2
echo "         Please save and remove tetex." 1>&2
echo "Achtung: Das bersetzen diese Quellpaketes wrde Ihre tetex-Installation" 1>&2
echo "         berschreiben.  Bitte sichern und deinstallieren Sie tetex." 1>&2 
exit 2
fi
set -x
OS=linux
%ifarch %ix86
  CPU=i586
%else
  CPU=${RPM_ARCH}
%endif
XCFLAGS="$RPM_OPT_FLAGS"
   HOST=$CPU-suse-$OS
 BINARY=$CPU-$OS-libc6
#
exec 6> %{options}
echo CPU=\"$CPU\"         1>&6
echo BINARY=\"$BINARY\"   1>&6
echo XCFLAGS=\"$XCFLAGS\" 1>&6
echo HOST=\"$HOST\"       1>&6
echo export HOST BINARY   1>&6
echo batchmode=yes        1>&6
echo export batchmode     1>&6
exec 6> /dev/null
set -f
cat >> %{options} <<-EOF
	set +o posix
	relpath ()
	{
	    set +x
	    OLDIFS="\$IFS"; IFS='/'
	    local orgwords="\$(echo \${1})"
	    local locwords="\$(echo \${2})"
	    IFS="\$OLDIFS"
	
	    local newpath="" p l
	    declare -i relp=0
	    declare -i deep=0
	    set -- \$(echo \$locwords)
	    for p in \$orgwords ; do
		deep=\$((deep + 1))
		eval l=\\\${\$deep}
		if test "\$l" = "\$p" -a \$relp -eq 0 ; then
		    : nothing
		else
		    relp=\$((relp + 1))
		    newpath="\${newpath}/\$p"
		    if test -n "\$l" ; then
			if test \$relp -eq 1 ; then
			    newpath="..\${newpath}"
			else
			    newpath="../\${newpath}"
			fi
		    fi
    	        fi
	    done
	    if test \$deep -lt \$# ; then
		shift \$deep
		while test \$# -gt 0  ; do
		    newpath="../\${newpath}"
		    shift
		done
	    fi
	    echo \$newpath
	    set -x
	}
	rellink ()
	{
	    relpath=\$(relpath \${1%/*} \${2%/*})
	    if test -d \$1 ; then
		ln -sf \$relpath/\${1##*/}/ \$2
	    else
		ln -sf \$relpath/\${1##*/}  \$2
	    fi
	}
EOF
set +f
mkdir -p        %{TEXMFMAIN}
tar xpSfj %{SOURCE0} -C %{TEXMFMAIN}/
test $? -ne 0 && exit $?
tar xpSfj %{SOURCE2} -C %{TEXMFMAIN}/../
test $? -ne 0 && exit $?
tar xpSfj %{SOURCE16} -C %{TEXMFMAIN}/
test $? -ne 0 && exit $?
tar xpSfj %{SOURCE17} -C %{TEXMFMAIN}/
test $? -ne 0 && exit $?
rm -f %{TEXMFMAIN}/tex/latex/g-brief/g-brief.{dtx,ins,drv}
#----------------------------------------------------------------------
# Japanese stuff:
tar xpSfj ${RPM_SOURCE_DIR}/ptex-texmf-%{ptex_texmf_version}.tar.bz2  -C %{TEXMFMAIN}/
test $? -ne 0 && exit $?
mkdir -p -m 0755 %{TEXMFMAIN}/fonts/tfm/dvips
mkdir -p -m 0755 %{TEXMFMAIN}/fonts/vf/ptex
mkdir -p -m 0755 %{TEXMFMAIN}/fonts/pk
tar xvjf ${RPM_SOURCE_DIR}/jis.tar.bz2
mv jis/tfm/dvips/*            %{TEXMFMAIN}/fonts/tfm/dvips/
mv jis/tfm/ptex/*             %{TEXMFMAIN}/fonts/tfm/ptex/
mv jis/vf/*                   %{TEXMFMAIN}/fonts/vf/ptex
tar xvjf ${RPM_SOURCE_DIR}/morisawa.tar.bz2
mv morisawa/tfm/dvips/*       %{TEXMFMAIN}/fonts/tfm/dvips/
mv morisawa/tfm/ptex/*        %{TEXMFMAIN}/fonts/tfm/ptex/
mv morisawa/vf/*              %{TEXMFMAIN}/fonts/vf/ptex/
#----------------------------------------------------------------------
tar Oxfj %{SOURCE3} source/latex/misc/a5.sty >     %{TEXMFMAIN}/tex/latex/misc/a5.sty
tar Oxfj %{SOURCE3} source/latex/misc/a5comb.sty > %{TEXMFMAIN}/tex/latex/misc/a5comb.sty
chmod    755       %{TEXMFMAIN}
chmod -R u+w,a+r   %{TEXMFMAIN}
chown -R root:root %{TEXMFMAIN}
cd %{TEXMFMAIN}/
find -type f -and -perm -g+w | xargs -r -l100 -- chmod g-w
rm -f doc/programs/texinfo.dvi
rm -f doc/programs/makeinfo.dvi
#
%patch1 -b .hugo
. %{options}
cd %{TEXMFMAIN}/
find -type f -and -name '*.hugo' -print0 | xargs -r -l100 -0 -- rm -f
cd ${RPM_BUILD_DIR}
mkdir -p %{SYSCONFDIR}
mkdir -p %{FONTCACHE}
mkdir -p %{FONTCACHE}/pk
mkdir -p %{FONTCACHE}/source
mkdir -p %{FONTCACHE}/tfm
mkdir -p %{VARTEXMF}/db
mkdir -p %{VARTEXMF}/doc
mkdir -p %{VARTEXMF}/web2c
mkdir -p %{VARTEXMF}/xdvi
mkdir -p %{VARTEXMF}/dvips/config
mkdir -p %{VARTEXMF}/pdftex/config
mkdir -p %{VARTEXMF}/tex/generic/config
mkdir -p %{VARTEXMF}/context/config
mkdir -p %{VARTEXMF}/tex/context/config
mkdir -p %{VARTEXMF}/etex/plain/config
> %{TEXLSR}
cp -a %{TEXMFMAIN}/doc/helpindex.html   %{VARTEXMF}/doc/
cp -a %{TEXMFMAIN}/web2c/*              %{VARTEXMF}/web2c/
cp -a %{TEXMFMAIN}/xdvi/*               %{VARTEXMF}/xdvi/
cp -a %{TEXMFMAIN}/dvips/config/*       %{VARTEXMF}/dvips/config/
cp -a %{TEXMFMAIN}/pdftex/config/*      %{VARTEXMF}/pdftex/config/
cp -a %{TEXMFMAIN}/tex/generic/config/* %{VARTEXMF}/tex/generic/config/
cp -a %{TEXMFMAIN}/context/config/*     %{VARTEXMF}/context/config/
cp -a %{TEXMFMAIN}/tex/context/config/* %{VARTEXMF}/tex/context/config/
cp -a %{TEXMFMAIN}/etex/plain/config/*  %{VARTEXMF}/etex/plain/config/
rm -f  %{TEXMFMAIN}/doc/helpindex.html
rm -rf %{TEXMFMAIN}/web2c/
rm -rf %{TEXMFMAIN}/dvips/config/
rm -rf %{TEXMFMAIN}/pdftex/config/
rm -rf %{TEXMFMAIN}/xdvi/
rm -rf %{TEXMFMAIN}/tex/generic/config/
rm -rf %{TEXMFMAIN}/context/config/
rm -rf %{TEXMFMAIN}/tex/context/config/
rm -rf %{TEXMFMAIN}/etex/plain/config/
#
# This will be done within postinstall scripts
#
rellink %{VARTEXMF}/doc/helpindex.html %{TEXMFMAIN}/doc/helpindex.html
rellink %{VARTEXMF}/web2c              %{TEXMFMAIN}/web2c
rellink %{VARTEXMF}/dvips/config       %{TEXMFMAIN}/dvips/config
rellink %{VARTEXMF}/pdftex/config      %{TEXMFMAIN}/pdftex/config
rellink %{VARTEXMF}/xdvi               %{TEXMFMAIN}/xdvi
rellink %{VARTEXMF}/tex/generic/config %{TEXMFMAIN}/tex/generic/config
rellink %{VARTEXMF}/context/config     %{TEXMFMAIN}/context/config
rellink %{VARTEXMF}/tex/context/config %{TEXMFMAIN}/tex/context/config
rellink %{VARTEXMF}/etex/plain/config  %{TEXMFMAIN}/etex/plain/config
#
# Move main configuration after installation of teTeX-src!
#
: Nothing, see %%install
#
# Change owner, group and permissions
#
chown -R root:root {%{SYSCONFDIR},%{FONTCACHE},%{VARTEXMF}}
chmod 1777 %{FONTCACHE}
chmod 1777 %{FONTCACHE}/pk
chmod 1777 %{FONTCACHE}/source
chmod 1777 %{FONTCACHE}/tfm
chmod 0644 %{TEXLSR}
mv -f %{TEXMFMAIN}/ls-R %{TEXMFMAIN}/lsR$$.tmp
ln -sf %{TEXLSR} %{TEXMFMAIN}/ls-R
cat   %{TEXMFMAIN}/lsR$$.tmp > %{TEXLSR}
rm -f %{TEXMFMAIN}/lsR$$.tmp
#
#  SETUP
# =======
#
%setup -q -n tetex-src-%{version} -T -b1
#rm -rf texinfo/
#rm -rf libs/ncurses/
#rm -rf libs/ncurses-ac/
#rm -rf libs/libpng/
#rm -rf libs/zlib/
%patch6 -p0 -b .xdvi-numlck
%patch7 -p0 -b .readlink
%patch9 -p0 -b .security
%patch10 -p0 -b .xpdfsec
%patch11 -p0 -b .xpdfsec2
%patch12 -p0 -b .xpdfsec3
%patch13 -p0 -b .xpdfsec4
%patch0 -p0
%patch14 -p0 -b .lsr
#----------------------------------------------------------------------
# add Japanese stuff:
tar jxvf ${RPM_SOURCE_DIR}/ptex-src-%{ptex_src_version}.tar.bz2 -C texk/web2c
if test -d texk/web2c/ptex-%{ptex_src_version} ; then
    pushd texk/web2c/ptex-%{ptex_src_version}
else
    pushd texk/web2c/ptex-src-%{ptex_src_version}
fi
%patch5 -p 0
popd
tar jxvf ${RPM_SOURCE_DIR}/mendexk%{mendexk_version}.tar.bz2 -C texk
pushd texk/mendexk%{mendexk_version}
%patch2 -p0
popd
tar jxvf ${RPM_SOURCE_DIR}/makejvf-%{makejvf_version}.tar.bz2 -C .
pushd makejvf-%{makejvf_version}
%patch3 -p0
popd
#----------------------------------------------------------------------
find -name ".cvsignore" | xargs rm -fv
find %{TEXMFMAIN} -name ".cvsignore" | xargs rm -fv

%build
. %{options}
dd1=%{TEXMFMAIN}/doc/
dd2=%{_mandir}/
dd3=%{_infodir}/
dd4=%{TETEX}/man/
dd5=%{TETEX}/info/
dd6=%{_defaultdocdir}/
tar xfj %{SOURCE4} -C $RPM_SOURCE_DIR/
mkdir lists
for list in %{listings} ; do
test -f $RPM_SOURCE_DIR/$list || continue
sed -e "s;@ARCH@;$BINARY;g" \
    -e "s@^/usr/lib@%{_libdir}@g" \
    -e "s@^/usr/doc/packages@%{_defaultdocdir}@g" \
    -e "s@^/usr/share/doc/packages@%{_defaultdocdir}@g" \
    -e "{ s@^\($dd1\|$dd2\|$dd3\|$dd4\|$dd5\|$dd6\)\(.*\)/\$@%%docdir \1\2@gp; s@%%doc@%%@g; }" \
    -e "s@^\($dd1\|$dd2\|$dd3\|$dd4\|$dd5\|$dd6\)\(.*[^/]\)\$@%%doc \1\2@g" \
    -e "s@^[^%%]\(.*\)/\$@%%dir /\1@g" \
    -e "s@^[^%%]etc/@%%config /etc/@g" \
    -e "s@\(%{TEXLSR}\)@%%attr(0666, root, root) \1@g" \
    -e "s@\(%{VARTEXMF}/ls-R\)@%%attr(0666, root, root) \1@g" \
    -e "s@\(%{FONTCACHE}/ls-R\)@%%attr(0666, root, root) \1@g" \
    -e "s@\(%{VARTEXMF}\)\(/\|/db/\)\$@%%attr(1755, root, root) \1\2@g" \
    -e "s@\(%{FONTCACHE}\)\(/\|/pk/\|/source/\|tfm/\)\$@%%attr(1777, root, root) \1\2@g" \
    -e "# mark the symbolic links of var and conf data as ghost" \
    -e "s@\(%{TEXMFMAIN}/web2c\)\$@%%ghost \1@g" \
    -e "s@\(%{TEXMFMAIN}/dvips/config\)\$@%%ghost \1@g" \
    -e "s@\(%{TEXMFMAIN}/pdftex/config\)\$@%%ghost \1@g" \
    -e "s@\(%{TEXMFMAIN}/xdvi\)\$@%%ghost \1@g" \
    -e "s@\(%{TEXMFMAIN}/tex/generic/config\)\$@%%ghost \1@g" \
    -e "s@\(%{TEXMFMAIN}/context/config\)\$@%%ghost \1@g" \
    -e "s@\(%{TEXMFMAIN}/tex/context/config\)\$@%%ghost \1@g" \
    -e "s@\(%{TEXMFMAIN}/etex/plain/config\)\$@%%ghost \1@g" < \
    $RPM_SOURCE_DIR/$list  > $list
done
CFLAGS="${XCFLAGS} -pipe"
CFLAGS="$CFLAGS -I/usr/X11R6/include"
CXXFLAGS="$CFLAGS"
LDFLAGS="-s -Wl,-warn-common -L/usr/X11R6/lib"
CC=gcc
CXX=g++
VENDOR=suse
export CC CXX CFLAGS CXXFLAGS LDFLAGS VENDOR PATH
(cd config
%{?suse_update_config})
(cd texk
%{?suse_update_config})
./configure $HOST \
	    --host=$HOST \
	    --with-gnu-libc \
	    --without-texinfo \
	    --without-dialog \
	    --prefix=%{PREFIX} \
	    --datadir=%{PREFIX}/share \
	    --exec-prefix=%{TETEX} \
	    --bindir=%{TETEX}/bin/$BINARY \
	    --infodir=%{TETEX}/info \
	    --mandir=%{TETEX}/man \
	    --libdir=%{PREFIX}/%{_lib} \
	    --sysconfdir=%{SYSCONFDIR} \
	    --localstatedir=/var/state \
	    --sharedstatedir=/var/state \
	    --with-system-ncurses \
	    --with-system-zlib \
	    --with-system-pnglib \
	    --enable-multiplatform \
	    --with-x \
	    --with-x-toolkit=yes \
	    --x-includes=/usr/X11R6/include \
	    --x-libraries=/usr/X11R6/%{_lib} \
	    --with-epsfwin \
	    --with-mftalkwin \
	    --with-regiswin \
	    --with-tektronixwin \
	    --with-unitermwin \
	    --with-ps=gs \
	    --enable-ipc \
	    --with-etex
# add an extra call to "make" to build kpathsea with the extra option "-fPIC"
# This is done to make the build of VFlib3 work on ia64 (VFlib3 links to kpathsea):
make -C texk/kpathsea CFLAGS="$CFLAGS -fPIC"
make
#
#  Install
# =========
#

%install
set +o posix
#----------------------------------------------------------------------
##touch /tmp/bstamp; sleep 3; sync
#----------------------------------------------------------------------
. %{options}
make install
install -m 0444 LICENSE.src %{TEXMFMAIN}
#----------------------------------------------------------------------
# make Japanese stuff:
# (make in the ptex-src-%{ptex_src_version} directory works only after TeX is already
# installed therefore I did put it here)
if test -d texk/web2c/ptex-%{ptex_src_version} ; then
    pushd texk/web2c/ptex-%{ptex_src_version}
else
    pushd texk/web2c/ptex-src-%{ptex_src_version}
fi
    ./configure EUC
%ifarch alpha
# broken compiler
    make tex2.o XCFLAGS="-O1"
%endif
    make
popd
make -C texk/mendexk%{mendexk_version}
make -C makejvf-%{makejvf_version}
#----------------------------------------------------------------------
# install Japanese stuff
if test -d texk/web2c/ptex-%{ptex_src_version} ; then
    make -C texk/web2c/ptex-%{ptex_src_version}     install
else
    make -C texk/web2c/ptex-src-%{ptex_src_version} install
fi
make -C texk/mendexk%{mendexk_version} DISTDIR=/usr/bin install 
make -C makejvf-%{makejvf_version}     DISTDIR=/usr/bin install 
# Things the regular install of the Japanese stuff didn't yet do:
(cd %{TETEX}/bin/${BINARY} && ln -s ptex platex; )
mkdir -p %{_mandir}/ja/man1/
install -m 644 texk/mendexk%{mendexk_version}/mendex.1 %{_mandir}/ja/man1/
gzip -9f %{_mandir}/ja/man1/mendex.1
cat ${RPM_SOURCE_DIR}/standard.map >   %{VARTEXMF}/dvips/config/kanji.map
cat ../morisawa/morisawa.map >>  %{VARTEXMF}/dvips/config/kanji.map
echo -e "% config for Fonts used by the Japanese pTeX/pLaTeX:" > %{VARTEXMF}/dvips/config/config.kanji
echo -e "p +kanji.map" >> %{VARTEXMF}/dvips/config/config.kanji
# make and install Japanized dvips:
#
# It looks like the Japanese patch doesn't do anything bad, the patched dvips
# still seems to work completely normal for non-Japanese files.
# But the patch is quite long and we don't understand it
# completely, therefore we include this patch only into an additional
# binary "pdvips" to make sure that the "normal" behaviour of "dvips" is unchanged
tar jxvf %{SOURCE8}  -C ${RPM_SOURCE_DIR}
tar jxvf %{SOURCE5} -C ${RPM_SOURCE_DIR}
pushd texk/dvipsk
    echo "Patch included in dvipsk-5.92b-p1.5g.tar.bz2 (dvipsk-5.92b-p1.5g)"
    patch -p1 -s < ${RPM_SOURCE_DIR}/dvipsk-5.92b-p1.5g.diff
    echo "Patch derived from  dvipsk586.patch (dvipsk-jpatch-p1.5g)"
    patch -p1 -s < ${RPM_SOURCE_DIR}/dvipsk592b.patch
    echo "Patch #4 (pdvips.patch)"
    patch -p0 -s < ${RPM_SOURCE_DIR}/pdvips.patch
    make clean
    make dvipsdir=%{TEXMFMAIN}/pdvips program=pdvips
    # don't let the install fail because of missing info files:
    for i in dvips.i*; do cp $i `echo $i | sed s/dvips/pdvips/`; done
    # don't let the install fail because of trying to run install-info again:
    cat Makefile | sed s/install-info/echo/ > Makefile.tmp; mv Makefile.tmp Makefile
    make dvipsdir=%{TEXMFMAIN}/pdvips program=pdvips install
    # pdvips and dvips share the same config files, make symlink:
    rm -rf %{TEXMFMAIN}/pdvips/config/
    rellink %{VARTEXMF}/dvips/config       %{TEXMFMAIN}/pdvips/config
    # make symbolic links for subdirectories which are identical for
    # both dvips and pdvips:
    for i in %{TEXMFMAIN}/dvips/*
    do
	test -e "$i" || continue
	i=${i##*/}
	case "$i" in 
	base|pstricks|config)
	    ;;
	*)  rellink %{TEXMFMAIN}/dvips/$i %{TEXMFMAIN}/pdvips/$i
	    ;;
	esac
    done
    # there is a Japanese patch for pstricks, therefore the pstricks
    # directory cannot be shared:
    cp -r %{TEXMFMAIN}/dvips/pstricks %{TEXMFMAIN}/pdvips/pstricks
    pushd %{TEXMFMAIN}/pdvips/pstricks
        echo "Patch included in dvipsk-jpatch-p1.5g (PSTricks.patch)"
        patch -p0 < ${RPM_SOURCE_DIR}/PSTricks.patch 
    popd
popd
# these lines can be added to fmtutil.cnf only after ptex and platex are
# build and installed otherwise the build of this rpm will fail:
echo -e "# ptex and platex, Japanese tex and latex by ASCII Corporation:" >> %{VARTEXMF}/web2c/fmtutil.cnf
echo -e "ptex\t\tptex\t\t-\t\tptex.ini" >>  %{VARTEXMF}/web2c/fmtutil.cnf
echo -e "platex\t\tptex\t\tlanguage.dat\tplatex.ini" >>  %{VARTEXMF}/web2c/fmtutil.cnf
echo -e "" >>  %{VARTEXMF}/web2c/fmtutil.cnf
#----------------------------------------------------------------------
#
# Begin main configuration move
#
if test -d %{SYSCONFDIR}/ ; then
    find %{SYSCONFDIR}/ -type f
    rm -rf %{SYSCONFDIR}/
    mkdir -p %{SYSCONFDIR}
fi
mv -f  %{VARTEXMF}/dvips/config/config.ps          %{SYSCONFDIR}/
mv -f  %{VARTEXMF}/web2c/texmf.cnf                 %{SYSCONFDIR}/
mv -f  %{VARTEXMF}/web2c/mktex.cnf                 %{SYSCONFDIR}/
mv -f  %{VARTEXMF}/web2c/fmtutil.cnf               %{SYSCONFDIR}/
mv -f  %{VARTEXMF}/xdvi/XDvi                       %{SYSCONFDIR}/
mv -f  %{VARTEXMF}/tex/generic/config/language.dat %{SYSCONFDIR}/
mv -f  %{VARTEXMF}/etex/plain/config/language.def  %{SYSCONFDIR}/
mv -f  %{VARTEXMF}/tex/context/config/cont-usr.tex %{SYSCONFDIR}/
                                             touch %{SYSCONFDIR}/cont-sys.tex
mv -f  %{TEXMFMAIN}/metafont/misc/modes.mf         %{SYSCONFDIR}/
rellink %{SYSCONFDIR}/config.ps      %{VARTEXMF}/dvips/config/config.ps
rellink %{SYSCONFDIR}/texmf.cnf      %{VARTEXMF}/web2c/texmf.cnf
rellink %{SYSCONFDIR}/mktex.cnf      %{VARTEXMF}/web2c/mktex.cnf
rellink %{SYSCONFDIR}/fmtutil.cnf    %{VARTEXMF}/web2c/fmtutil.cnf
rellink %{SYSCONFDIR}/XDvi           %{VARTEXMF}/xdvi/XDvi
rellink %{SYSCONFDIR}/language.dat   %{VARTEXMF}/tex/generic/config/language.dat
rellink %{SYSCONFDIR}/language.def   %{VARTEXMF}/etex/plain/config/language.def
rellink %{SYSCONFDIR}/cont-usr.tex   %{VARTEXMF}/tex/context/config/cont-usr.tex
rellink %{SYSCONFDIR}/cont-sys.tex   %{VARTEXMF}/tex/context/config/cont-sys.tex
rellink %{SYSCONFDIR}/modes.mf       %{TEXMFMAIN}/metafont/misc/modes.mf
rm -f  /usr/X11R6/lib/X11/app-defaults/XDvi
ln -sf %{SYSCONFDIR}/XDvi /usr/X11R6/lib/X11/app-defaults/XDvi
#
# End main configuration move
#
rm -f %{TETEX}/info/localdir
ln -sf dir %{TETEX}/info/localdir
ln -sf dvilj.1  %{TETEX}/man/man1/dvilj2p.1
ln -sf dvilj.1  %{TETEX}/man/man1/dvilj4.1
ln -sf dvilj.1  %{TETEX}/man/man1/dvilj4l.1
ln -sf tangle.1 %{TETEX}/man/man1/otangle.1
ln -sf mf.1     %{TETEX}/man/man1/mfw.1
ln -sf pdftex.1 %{TETEX}/man/man1/pdfeinitex.1
ln -sf pdftex.1 %{TETEX}/man/man1/pdfelatex.1
ln -sf pdftex.1 %{TETEX}/man/man1/pdfevirtex.1
rm -f /usr/X11R6/bin/xdvi  /usr/X11R6/bin/oxdvi
relpath=$(relpath /usr/bin /usr/X11R6/bin)
ln -sf $relpath/xdvi       /usr/X11R6/bin/xdvi
ln -sf $relpath/oxdvi      /usr/X11R6/bin/oxdvi
#
# Old context user
#
(cat > %{TETEX}/bin/$BINARY/context) <<EOF
#!/bin/sh
echo "
You should read %{TEXMFMAIN}/doc/context/base/context.rme
for using ConTeXt.  Further information how about using the
program texexec see %{TEXMFMAIN}/doc/context/base/mtexexec.pdf
"
EOF
chmod 0755 %{TETEX}/bin/$BINARY/context
ln -sf context %{TETEX}/bin/$BINARY/cont-cz
ln -sf context %{TETEX}/bin/$BINARY/cont-de
ln -sf context %{TETEX}/bin/$BINARY/cont-en
ln -sf context %{TETEX}/bin/$BINARY/cont-nl
ln -sf context %{TETEX}/bin/$BINARY/cont-uk
#
# We want share all informations due tex with
# /usr/share/texmf/ ... this symbolic links
# integrate the appropiate files into the FHS.
#
# readlink is a kpse tool
#
mkdir -p /usr/bin
relpath=$(relpath %{TETEX}/bin/$BINARY /usr/bin)
for f in %{TETEX}/bin/$BINARY/* ; do
    f=${f##*/}
    rm -f  /usr/bin/$f
    ln -sf $relpath/$f /usr/bin/$f
done
mkdir -p %{_infodir}
relpath=$(relpath %{TETEX}/info %{_infodir})
for f in %{TETEX}/info/*info* ; do
    if test -L $f ; then
	l=$(readlink $f)
	rm -f  $f
	ln -sf ${l}.gz ${f}.gz
    else
	gzip -9f $f
    fi
    f=${f##*/}.gz
    rm -f  %{_infodir}/$f
    ln -sf $relpath/$f %{_infodir}/$f
done
for mansec in 1 5 8 ; do
mkdir -p %{_mandir}/man$mansec
relpath=$(relpath %{TETEX}/man/man$mansec %{_mandir}/man1)
for f in %{TETEX}/man/man$mansec/*.? ; do
    if test -L $f ; then
	l=$(readlink $f)
	rm -f  $f
	ln -sf ${l}.gz ${f}.gz
    else
	gzip -9f $f
    fi
    f=${f##*/}.gz
    rm -f  %{_mandir}/man$mansec/$f
    ln -sf $relpath/$f %{_mandir}/man$mansec/$f
done
done
relpath=""
texconfig rehash
texconfig mode ljfour
texconfig xdvi a4
texconfig dvips mode ljfour
texconfig dvips paper a4
texconfig dvips printcmd -
texconfig dvips add bjc600
texconfig dvips add stcolor
texconfig dvips add deskjet
texconfig dvips add ljet4
# texconfig dvips add lp
texconfig dvips -P bjc600  mode canonbjc
texconfig dvips -P stcolor mode epstylus
texconfig dvips -P deskjet mode deskjet
texconfig dvips -P ljet4   mode ljfour
# texconfig dvips -P lp  printcmd 'lpr -Plp'
texconfig font options appendonlydir varfonts
texconfig font ro
texconfig rehash
#
# Some resets
#
rm -f %{TEXMFMAIN}/doc/latex/ams*/*.cls
(cd %{TEXMFMAIN}/doc/latex/koma-script/
 for f in scr*new[1-9]*.tex ; do
     test -e $f || continue
     latex $f
     rm -f ${f%.*}.log ${f%.*}.aux
 done)
rm -f /usr/bin/jadetex   %{TEXMFMAIN}/teTeX/bin/*/jadetex
rm -f /usr/bin/latex209  %{TEXMFMAIN}/teTeX/bin/*/latex209
texconfig rehash
#
cp %{S:16} %{TEXMFMAIN}
mkdir -p /sbin/conf.d
install -m 0755 conf.d/SuSEconfig.tetex  /sbin/conf.d/
    mkdir -p /etc/profile.d
    install -m 0644 profile.d/tetex.sh  /etc/profile.d/
    install -m 0644 profile.d/tetex.csh /etc/profile.d/
    mkdir -p /etc/cron.daily
    install -m 0755 tetex.cron      /etc/cron.daily/tetex
    mkdir -p /var/adm/fillup-templates
    install -m 0644 rc.config.tetex /var/adm/fillup-templates/sysconfig.tetex
    mkdir -p /usr/sbin
    mkdir -p %{_mandir}/man8
    mkdir -p %{_defaultdocdir}/te_nfs
    install -m 0755 nfs/tetex-import   /usr/sbin/
    install -m 0644 nfs/tetex-import.8 %{_mandir}/man8/
    gzip -9f %{_mandir}/man8/tetex-import.8
    install -m 0644 nfs/README         %{_defaultdocdir}/te_nfs/
    # Don *not* integrate te_nfs here
    for pkg in  te_ams tetex te_cont te_dvilj te_eplai te_etex \
		te_kpath te_latex te_mpost te_omega te_pdf te_web te_ptex
    do
	rm -rf   %{_defaultdocdir}/$pkg
	mkdir -p %{_defaultdocdir}/$pkg
	case "$pkg" in
	te_cont)
		relpath=$(relpath %{TEXMFMAIN}/doc/context  %{_defaultdocdir}/$pkg)
		ln -sf $relpath %{_defaultdocdir}/$pkg/doc
		;;
	te_ams)
		relpath=$(relpath %{TEXMFMAIN}/doc/amstex   %{_defaultdocdir}/$pkg)
		ln -sf $relpath %{_defaultdocdir}/$pkg/doc
		;;
	te_eplai)
		relpath=$(relpath %{TEXMFMAIN}/doc/eplain   %{_defaultdocdir}/$pkg)
		ln -sf $relpath %{_defaultdocdir}/$pkg/doc
		;;
	te_etex)
		relpath=$(relpath %{TEXMFMAIN}/doc/etex     %{_defaultdocdir}/$pkg)
		ln -sf $relpath %{_defaultdocdir}/$pkg/doc
		;;
	te_latex)
		relpath=$(relpath %{TEXMFMAIN}/doc/latex    %{_defaultdocdir}/$pkg)
		ln -sf $relpath %{_defaultdocdir}/$pkg/doc
		;;
	te_omega)
		relpath=$(relpath %{TEXMFMAIN}/doc/omega    %{_defaultdocdir}/$pkg)
		ln -sf $relpath %{_defaultdocdir}/$pkg/doc
		;;
	te_mpost)
		relpath=$(relpath %{TEXMFMAIN}/doc/metapost %{_defaultdocdir}/$pkg)
		ln -sf $relpath %{_defaultdocdir}/$pkg/doc
		;;
	te_ptex)
		relpath=$(relpath %{TEXMFMAIN}/doc/ptex     %{_defaultdocdir}/$pkg)
		ln -sf $relpath %{_defaultdocdir}/$pkg/doc
		;;
	*)
		relpath=$(relpath %{TEXMFMAIN}/doc          %{_defaultdocdir}/$pkg)
		ln -sf $relpath %{_defaultdocdir}/$pkg/doc
	esac
    done
    relpath=""
    mkdir -p /etc/permissions.d
    (cat > /etc/permissions.d/tetex) <<-EOF
	/var/lib/texmf/ls-R		root.root		0666
	/var/lib/texmf/db/ls-R		root.root		0666
	/var/cache/fonts/ls-R		root.root		0666
	/var/lib/texmf/			root.root		1755
	/var/lib/texmf/db/		root.root		1755
	/var/cache/fonts/		root.root		1777
	/var/cache/fonts/pk/		root.root		1777
	/var/cache/fonts/source/	root.root		1777
	/var/cache/fonts/tfm/		root.root		1777
	EOF
#----------------------------------------------------------------------
# install documentation for Japanese ptex:
mkdir -p %{_defaultdocdir}/te_ptex/
cp texk/mendexk%{mendexk_version}/README   %{_defaultdocdir}/te_ptex/README.mendex
cp texk/mendexk%{mendexk_version}/mendex.doc   %{_defaultdocdir}/te_ptex/mendex.doc
cp texk/mendexk%{mendexk_version}/indexsty   %{_defaultdocdir}/te_ptex/indexsty
cp texk/mendexk%{mendexk_version}/COPYRIGHT   %{_defaultdocdir}/te_ptex/COPYRIGHT.mendex
cp texk/mendexk%{mendexk_version}/COPYRIGHT.jis   %{_defaultdocdir}/te_ptex/COPYRIGHT.jis.mendex
cp texk/mendexk%{mendexk_version}/ChangeLog   %{_defaultdocdir}/te_ptex/ChangeLog.mendex
cp makejvf-%{makejvf_version}/README.txt   %{_defaultdocdir}/te_ptex/README.makejvf
if test -d texk/web2c/ptex-%{ptex_src_version} ; then
    x=texk/web2c/ptex-%{ptex_src_version}/
else
    x=texk/web2c/ptex-src-%{ptex_src_version}/
fi
for f in COPYING COPYRIGHT COPYRIGHT.jis Changes.txt README.txt ; do
    test -s ${x}$f && install -m 0644 ${x}$f %{_defaultdocdir}/te_ptex/${f}.ptex || true
done
cp $RPM_SOURCE_DIR/README.SuSE.ptex        %{_defaultdocdir}/te_ptex/README.SuSE.ptex
cp ../jis/README.txt                       %{_defaultdocdir}/te_ptex/README.jis
cp ../jis/jis.map                          %{_defaultdocdir}/te_ptex/jis.map
cp ../morisawa/README.txt                  %{_defaultdocdir}/te_ptex/README.morisawa
cp ../morisawa/morisawa.map                %{_defaultdocdir}/te_ptex/morisawa.map
#----------------------------------------------------------------------
##touch /tmp/estamp; sleep 3; sync
##(
##  find %{SYSCONFDIR} %{FONTCACHE} %{VARTEXMF} %{TEXMFMAIN} \
##       \( \( \( -not -type d \) -a \( -not -type l \) \) -printf '%%p\n' \)  -o \
##       \( -type d -printf '%%p/\n' \) -o \( -type l -printf '%%p\n'  \) \)
##  find / -xdev  \( -newer /tmp/bstamp -a \( -not -newer /tmp/estamp \) \) -a \( \
##       \( \( \( -not -type d \) -a \( -not -type l \) \) -printf '%%p\n' \)  -o \
##       \( -type d -printf '%%p/\n' \) -o \( -type l -printf '%%p\n'  \) \)
##) | sort -u -t / | grep -vE '^(/tmp|/proc|/usr/src/packages)' > /tmp/tetex-list
##sync; sleep 1; sync
##sed "s%%$BINARY/%%@ARCH@/%%g" < /tmp/tetex-list | \
##  grep -vE '(\.log|^/usr/(bin/|sbin/|doc/packages/|info/|lib/|man/man[1-8]/))$' \
##  > /tmp/tetex-list.tmp
##sync; sleep 1; sync
##mv /tmp/tetex-list.tmp /tmp/tetex-list
##rm -f /tmp/estamp /tmp/bstamp
#----------------------------------------------------------------------
#
# These are files of the SuSE package texinfo
#
#/usr/bin/info
#/usr/bin/install-info
#/usr/bin/makeinfo
#/usr/bin/texi2dvi
#/usr/bin/texi2html
#/usr/bin/texi2index
#/usr/bin/texi2roff
#/usr/bin/texindex
#
# These are files of the SuSE package dialog
#
#/usr/bin/dialog
#
##%clean
##. %{options}
##set +o posix
##if test -d ${RPM_SOURCE_DIR}/../RPMS/${CPU}/ ; then
##    cd ${RPM_SOURCE_DIR}/../RPMS/${CPU}/
##    for pkg in te*.rpm ; do
##	test -e $pkg || break
##	set +x
##	rpm -q --queryformat '[%%{filemodes:perms}\t%%{filenames}\n]' -p $pkg | \
##	    while read perms name ; do
##		case "$perms" in
##		    d*) echo "$name/" ;;
##		    *)  echo "$name"  ;;
##		esac
##	    done
##	set -x
##    done > >(sort -t / | sed "s;$BINARY/;@ARCH@/;g" > /tmp/tetex-list.packed)
##fi
#
# No post for te_nfs, te_kpath, and te_web
#

%post -n te_ams
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash

%pre
test -d var/texfonts/ || exit 0
mkdir -p var/adm/notify/messages
cat > var/adm/notify/messages/tetex-changes <<-EOF
	Hi,
	   teTeX configuration has changed. With the new version 1.0 the 
	directory structure has been changed to fit both the FHS
	(Filesystem Hierarchy Standard) and the TDS (TeX Directory Standard).  
	The font cache of TeX is placed in /var/cache/fonts/, therefore you
	may remove or move the old placement /var/texfonts/ with its full
	contents.
	The main configuration files are placed in /etc/texmf/, most of the 
	variable data has moved into /var/lib/texmf/, whereas the main 
	distribution is placed in /usr/share/texmf/.  The specific
	data of teTeX is now placed in /usr/share/texmf/teTeX/.
EOF

%post
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash
%{fillup_only}
%install_info --info-dir=%{_infodir} %{_infodir}/dvips.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/kpathsea.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/web2c.info.gz

%postun
%install_info_delete --info-dir=%{_infodir} %{_infodir}/dvips.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/kpathsea.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/web2c.info.gz

%post -n te_cont
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash

%post -n te_dvilj
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash

%post -n te_etex
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash

%post -n te_eplai
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash

%post -n te_latex
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash
%install_info --info-dir=%{_infodir} %{_infodir}/latex.info.gz

%postun -n te_latex
%install_info_delete --info-dir=%{_infodir} %{_infodir}/latex.info.gz

%post -n te_mpost
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash

%post -n te_omega
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash

%post -n te_pdf
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash

%post -n te_ptex
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash
%install_info --entry="%{ptex_info_entry}" --info-dir=%{_infodir} %{_infodir}/pdvips.info.gz

%preun -n te_ptex
%install_info --entry="%{ptex_info_entry}" --delete --info-dir=%{_infodir} %{_infodir}/pdvips.info.gz

%files -f lists/ams	-n te_ams

%files -f lists/base

%files -f lists/context	-n te_cont

%files -f lists/dvilj	-n te_dvilj

%files -f lists/etex	-n te_etex

%files -f lists/eplain	-n te_eplai

%files -f lists/kpath	-n te_kpath

%files -f lists/latex	-n te_latex

%files -f lists/mpost	-n te_mpost

%files                  -n te_nfs
%docdir %{_defaultdocdir}/te_nfs
%dir %{_defaultdocdir}/te_nfs
%doc %{_defaultdocdir}/te_nfs/README
%doc %{_mandir}/man8/tetex-import.8.gz
/usr/sbin/tetex-import

%files -f lists/omega	-n te_omega

%files -f lists/pdf	-n te_pdf

%files -f lists/web	-n te_web

%files -f lists/ptex     -n te_ptex

%changelog -n tetex
* Mon Mar 21 2005 - werner@suse.de
- Use user nobody if ls-R's are created by root (bug #72964)
* Tue Jan 25 2005 - werner@suse.de
- Further security fixes or xpdf library (bug #49463, #49840)
* Fri Nov 12 2004 - werner@suse.de
- Add next[tm] security fix for xpdf library (bug #47624).
* Tue Oct 26 2004 - werner@suse.de
- Security fix for xpdf library (bug #47624, #47538)
* Wed Sep 22 2004 - werner@suse.de
- Use safe-rm for cleaning pk/tfm files (bug #45612, comment #15)
- Add batchmode switch to be able to build outdated latex formats
* Tue Sep 02 2003 - kukuk@suse.de
- Add empty Command to sysconfig/tetex [Bug #28955]
* Tue Aug 12 2003 - werner@suse.de
- Allow users to overwrite system web2c path (bug #28699)
* Tue Aug 05 2003 - werner@suse.de
- Remove `.dvi' file from extract process of g-brief
* Mon Aug 04 2003 - werner@suse.de
- Update to tetex 2.0.2
- Add g-brief now with LaTeX public license (bug #27292)
* Thu Jul 10 2003 - olh@suse.de
- remove unneeded sync
* Wed Jun 18 2003 - ro@suse.de
- remove /var/cache/fonts directory from filelist
  (it's already in the filesystem package)
* Thu May 22 2003 - ro@suse.de
- fixed manpage installation for man5 and man8
- found another place to hunt for cvsignore files
* Wed May 21 2003 - ro@suse.de
- remove .cvsignore files
* Tue Apr 29 2003 - werner@suse.de
- Fix path for intel binaries (bug #26571)
- Add missing / (bug #26542(
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Wed Mar 05 2003 - werner@suse.de
- Run `texconfig init' really if required
* Fri Feb 28 2003 - mfabian@suse.de
- finally fix Bugzilla #23674
  (by updating the Japanese stuff to the latest versions
  jis.tar.bz2, morisawa.tar.bz2, and ptex-texmf-2.1,
  ptex-src-3.1.2, mendexk2.5)
* Tue Feb 25 2003 - werner@suse.de
- Fix the fix
* Mon Feb 24 2003 - werner@suse.de
- Fix bug #23674: Avoid Segmentation fault by correct array size
* Sun Feb 23 2003 - ro@suse.de
- SuSEconfig.tetex: don't hang if dvips/config/updmap doesn't exist
* Wed Feb 19 2003 - werner@suse.de
- Merge te_pscm with tetex because now PostScript cmr fonts are
  the default for xdvi and dvips.
- enable SuSEconfig.tetex to get informations about the default
  printer within a cups based printing system
* Mon Feb 17 2003 - werner@suse.de
- Use one hash for comments in sysconfig file
* Mon Feb 17 2003 - werner@suse.de
- Update to bug fix release 2.0.1 of teTeX
* Tue Feb 11 2003 - werner@suse.de
- Fix info dir entry for pDvips
* Fri Feb 07 2003 - werner@suse.de
- Fix configuration of pdvips
* Fri Feb 07 2003 - werner@suse.de
- Use directory for docdir's due some RPM versions can not
  handle sym links on update.
- Fix bug #23461, #23463, #unknown: use install_info rpm macro
- Fix bug #22700: Use metadata in sysconfig file of tetex
* Thu Feb 06 2003 - werner@suse.de
- Fix RPM listing for docdir's
* Thu Feb 06 2003 - werner@suse.de
- Update to teTeX 2.0
* Mon Feb 03 2003 - schwab@suse.de
- Don't install readlink, now part of coreutils.
* Wed Nov 20 2002 - ro@suse.de
- use ghostscript-mini-packages in neededforbuild
* Wed Nov 13 2002 - ro@suse.de
- fix build with current bison (end all rules with ";")
* Mon Oct 28 2002 - ro@suse.de
- cron.daily script: rc.config need not be present on
  systems >= SuSE 8.1
- help broken alpha compiler with ptex/tex2.c (use -O1)
* Thu Sep 05 2002 - werner@suse.de
- Move pdflatex.ini to te_pdf (bug #18931)
* Tue Sep 03 2002 - okir@suse.de
- security fix to stop funky font names in DVI files
* Fri Aug 23 2002 - mfabian@suse.de
- add code to generate the updmap.hlatex fontmap script for
  the Korean HLaTeX to SuSEconfig.tetex. It has been moved there
  from the post install of HLaTeX.
* Fri Aug 16 2002 - werner@suse.de
- Add PreReq (bug #18006)
* Mon Aug 05 2002 - werner@suse.de
- Add xmltex and pdfxmtex in /etc/texmf/texmf.cnf (bug #16304)
- Make xdvi knowing about Num_Lock, if set use numpad number keys
  if not use numpad cursor keys (bug #16828)
* Fri Jul 05 2002 - kukuk@suse.de
- Use %%ix86 macro
* Thu Jun 06 2002 - werner@suse.de
- Fix cron job file of tetex: Use sysconfig file
* Thu May 02 2002 - meissner@suse.de
- %%_lib fixes in the configure calls and in the filelists.
* Wed Apr 24 2002 - werner@suse.de
- Fix buglet in texconfig which prevents running dialog (#15922)
* Fri Apr 19 2002 - tcrhak@suse.cz
- use "r" instead of "rb" when calling popen - needed
  by dvips to be able to deal with e.g. gzipped files
- added LICENSE
* Wed Mar 20 2002 - werner@suse.de
- Fix mpost file list to avoid full init of tetex on every
  SuSEconfig run.
* Tue Mar 19 2002 - werner@suse.de
- Fix dependcy of xdvi/oxdvi: both require a working ghostscript
  with X11 support (fix bug #15084).
- Make xdvi/oxdvi check if ghostscript is running (fix bug #15084).
- Make ghostscript work within environment (for configure)
* Sun Mar 10 2002 - ro@suse.de
- removed automake, groff, libz from neededforbuild
  (are there anyway)
* Wed Feb 27 2002 - werner@suse.de
- Use /etc/sysconfig/language for default paper size
* Mon Feb 25 2002 - werner@suse.de
- Backport of teTeX-src patch level beta-20020208 for xdvi.
* Fri Feb 22 2002 - tcrhak@suse.cz
- added support for czech language (*.fmt binaries and cs scripts
  are generated during SuSEconfig)
* Wed Feb 13 2002 - schwab@suse.de
- Fix missing or conflicting declarations.
- Fix invalid escape sequence.
* Mon Feb 11 2002 - werner@suse.de
- Re-introduce old scanning due less load but comment it out
  because it is only needed for list generating.
- Better KPSE_DOT setting if we're located in /etc/texmf/
* Sat Feb 09 2002 - ro@suse.de
- simplified global list generation (find ...) in spec file
  to fix build
* Fri Feb 08 2002 - werner@suse.de
- YEAAAH: we got it, fix bug #6915, #6914. #12479, #12480
  ... update to version beta-20020207, YEP, it IS beta
- No te_french anymore, no bucks anymore
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 17 2002 - ro@suse.de
- moved rc.config.d/tetex to sysconfig/tetex
* Fri Oct 12 2001 - werner@suse.de
- Make code for bug #8995 going to work
* Sat Oct 06 2001 - mfabian@suse.de
- add directory with hbf fonts to kpathsea variable
  MISCFONTS instead of T1FONTS in texmf.cnf:
  MISCFONTS = .;$TEXMF/fonts/misc//;$TEXMF/fonts/hbf//
  necessary because of the upgrade of CJK-LaTeX, the hbf2gf
  from CJK-LaTeX 4.4.0 uses the kpathsea variable MISCFONTS
  instead of T1FONTS.
* Fri Aug 31 2001 - werner@suse.de
- Fix bug #8995: now even YaST2 configured printers should be
  usefull for SuSEconfig.tetex
* Tue Aug 21 2001 - werner@suse.de
- Fix bug #9522
- Fix part of bug #9022 (thumbpdf working with newer perl version)
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Tue Jun 12 2001 - schwab@suse.de
- Fix cpp directives inside macro arguments.
* Tue May 15 2001 - werner@suse.de
- Make SuSEconfig.tetex work due find -prune now requires
-print to get a verbose output on stdout (bug#8369)
* Tue May 08 2001 - werner@suse.de
- Fix for hyperref.sty (bug#7680)
- Add message if printer could not be auto configured
* Mon May 07 2001 - mfabian@suse.de
- bzip2 all sources
* Tue Apr 17 2001 - werner@suse.de
- Cross check with rpm listings
* Mon Apr 16 2001 - werner@suse.de
- Update to inofficial gg-1.0.3 release for teTeX-texmf
- Make and check listings of all teTeX packages
* Wed Mar 14 2001 - mfabian@suse.de
- add -fPIC to CFLAGS while building kpathsea to make the build
  of VFlib3 work in ia64 (VFlib3 links to kpathsea).
- add /var/lib/texmf/dvips/config/config.kanji
* Wed Mar 07 2001 - werner@suse.de
- We need a full X environment during build time
* Tue Mar 06 2001 - mfabian@suse.de
- fix build problem on ia64 (my stupid mistake in spec file)
* Mon Mar 05 2001 - mfabian@suse.de
- upgrade to ptex-texmf-1.9 (nmin-ngoth.tar.gz is now already
  included in ptex-texmf-1.9)
- upgrade to makejvf-1.1a
- install Japanese patched dvips under seperate name "pdvips"
  and with its own directory tree and search path.
* Wed Feb 14 2001 - mfabian@suse.de
- add pTeX/pLaTeX
* Thu Dec 14 2000 - werner@suse.de
- Change te_fr to make the author happy
* Thu Dec 14 2000 - werner@suse.de
- Fix bug in tex/context/base/m-pictex.tex (bug#4499)
* Tue Nov 28 2000 - mfabian@suse.de
- added directory with hbf fonts to T1FONTS in texmf.cnf:
  T1FONTS = .;$TEXMF/fonts/type1//;$TEXMF/fonts/hbf//
  this is needed for CJK-LaTeX.
* Mon Oct 30 2000 - werner@suse.de
- Add dependency (usr/sbin/)showmount to te_nfs
* Mon Jul 03 2000 - werner@suse.de
- Fix buggy dvi2fax script (not only raw g3 are required by the
  most modern fax devices)
* Wed May 31 2000 - werner@suse.de
- Make pdftexinfo work even if images are used
- Make tetex.spec flexible in usage of %%{_defaultdocdir}
* Thu Mar 02 2000 - werner@suse.de
- If texmf.cnf is newer than the formats in web2c/ we run
  `texconfig init' to rebuild all formats (mentioned by ke@suse.de)
* Wed Mar 01 2000 - schwab@suse.de
- Update config.{sub,guess} from automake.
* Fri Feb 25 2000 - werner@suse.de
- Remove config.lp because it causes dvips to print automagically
- Be verbose on texconfig start because it take a few seconds
* Wed Feb 23 2000 - werner@suse.de
- New version 1.0.7 with many bug fixes and updates
- Make gzipped dvi files readable for xdvi
- Make texdoc able to find and read gzipped docs
- Use newest config.guess and config.sub
- Use $RANDOM together with $$ for temporary directories
- Speed up texlinks by using `type -p'
- Use `true' units in pdftex.cfg
- Remove doubles (ams classes) and make dvi of koma script docs
* Mon Jan 24 2000 - werner@suse.de
- /usr/man -> /usr/share/man
- /usr/info -> /usr/share/info
- Make tetex-import fit for /usr/share/man and /usr/share/info
* Fri Jan 21 2000 - werner@suse.de
- Fix y2k bug in dinbrief.cls
- Remove ^Z at the end of pinins.sty
- Make tools to generate better file lists
* Mon Nov 29 1999 - werner@suse.de
- Remove temporary files of mktemp if not used
* Wed Nov 03 1999 - werner@suse.de
- Workaround for fillup kludge
* Wed Oct 27 1999 - werner@suse.de
- Fix permissions of ls-R's
- Add sticky bit for /var/lib/texmf/ and /var/lib/texmf/db/
- Make mktexlsr able to use mktemp and generate ls-R's
  within /tmp/
- Use /etc/permissions.d/
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Jul 20 1999 - werner@suse.de
- Fix in SuSEconfig.tetex, handle none existing links
* Thu Jul 15 1999 - werner@suse.de
- Fix in SuSEconfig.tetex, do not handle FHS if path doesn't exists
- Fix of file lists, plain.mem belongs to mpost
* Wed Jul 14 1999 - werner@suse.de
- Call Check
* Wed Jul 14 1999 - werner@suse.de
- Increase main_memory and set main_memory.jadetex
* Fri Jul 09 1999 - werner@suse.de
- New version 1.0.6 with bug and stability fixes
* Thu Jun 17 1999 - werner@suse.de
- New version 1.0.5 with bug fixes (mainly xdvi)
* Wed Jun 16 1999 - werner@suse.de
- Fix compiled in path to texmf.cnf and web2c
* Tue Jun 15 1999 - werner@suse.de
- New version 1.0.4
  * New Web2C (7.3.1)
  * New kpathsea 3.3.1
- Reorganization
  * Most var and conf data are placed within /var/lib/texmf/
  * Main conf data are placed in /etc/texmf/
- Some Bug fixes added
- Some Bug fixes dropped because already added
- SuSEconfig.tetex enhanced
- Update tests fully tested
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Mon Mar 29 1999 - werner@suse.de
- In SuSEconfig.tetex: strip environment down for texconfig
* Tue Mar 23 1999 - werner@suse.de
- Fix paths in TeX-FAQ of Dante
* Thu Mar 18 1999 - ro@suse.de
- specfile modification
* Wed Mar 03 1999 - werner@suse.de
- Use egcs
* Thu Feb 18 1999 - werner@suse.de
- SuSEconfig.tetex: not only md5 but modification time
- /etc/cron.daily/tetex.cron -> /etc/cron.daily/tetex
- Use /etc/rc.config.d/tetex.rc.config not /etc/rc.config
* Mon Dec 14 1998 - ro@suse.de
- SuSEconfig.tetex: use valid values for XDVISIZE and DVIPSSIZE
* Mon Dec 14 1998 - bs@suse.de
- make /etc/cron.daily/tetex.cron quiet.
* Tue Dec 01 1998 - werner@suse.de
- Fix bad modifier message
* Fri Nov 27 1998 - werner@suse.de
- Add message if update happens
* Fri Nov 27 1998 - werner@suse.de
- New version pre-0.9 (981113)
- Fix SIGSEGV of xdvi file selection
* Mon Nov 16 1998 - ro@suse.de
- build with gcc :-(((
* Tue Nov 10 1998 - werner@suse.de
- New version pre-0.9 (981104)
- Fix a bug in tetex.spec
* Tue Nov 10 1998 - bs@suse.de
- deleted second specification of sub package tetex
* Tue Oct 27 1998 - werner@suse.de
- split into 15 pacakges
- nfs-import and SuSEconfig.tetex script ready
* Thu Oct 15 1998 - werner@suse.de
- New version pre-0.9 (981013)
  * many of my patches are included know :-)
* Wed Sep 09 1998 - werner@suse.de
- Absolut new version pre-0.9 (980803)
- Some own changes
  * A few bug fixes in texmf/
  * A few security fixes in teTeX-0.9/
  * FHS and TDS conform
  * split into currently 11 packages
- ToDo:
  * make nfs-import script ready
  * make all features of SuSEconfig.tetex ready
  * maybe we need more packages due license problems
  + we have to ask some sub authors of teTeX
* Thu Sep 03 1998 - werner@suse.de
- Hmmmppf mark directory containing psfonts.map with dir
* Wed Sep 02 1998 - werner@suse.de
- Mark psfonts.map with config
* Mon Aug 17 1998 - werner@suse.de
- Make texconfig, MakeTeXPK and MakeTeXTFM more secure
* Thu Jul 09 1998 - werner@suse.de
- Add some missed KOMA files (versprochen ist versprochen)
* Tue Jun 23 1998 - werner@suse.de
- Fix problem with optimization level -O2 of egcs
- Fix getwd warning
- Mark some config files with %%config
* Fri Jun 19 1998 - werner@suse.de
- Fix bug in config.h of kpse-2.6/gsftopkk/
- Exclude some str/mem defienitions for the __GNUC__ case
- Remove some warnings
- Fix some auto configure scripts
- *Uahhh* ... bug based feature of kpathsea (program_invocation_name):
  fixed configure breaks program name feature (kpsewich -n `name')
* Thu Jun 18 1998 - werner@suse.de
- egcs doesn't accept external global assignments (e.g. stdin) .. code fixed
- Change db.c of kpathsea library to produce ls-R if not exist
* Wed Jun 17 1998 - werner@suse.de
- Make teTeX Makefile multi-OS and glibc safe
- Change default mode from deskjet to ljfour
* Tue Jun 16 1998 - bs@suse.de
- added setting of TETEXDIR to spec file (unset fails, if not set).
* Thu May 14 1998 - werner@suse.de
- Handle none exist ls-R
- Skip nfs mounted ls-R
* Thu Mar 19 1998 - werner@suse.de
- New SuSEconfig.tetex, works without rpm
* Thu Feb 26 1998 - werner@suse.de
- Include SuSEconfig.tetex and remove postinstall script
* Wed Feb 11 1998 - werner@suse.de
- Fix in spec file
* Fri Nov 21 1997 - werner@suse.de
- Update on teTeX version 0.4 (teTeX-lib-0.4pl5, teTeX-src-0.4pl5)
  * MakeTeXMF: support for LWN encoded cyrillic (for the new babel release)
  * MakeTeXPK: fixed bug (linolo vs. linoone), added guess for 180dpi
  (for LaTeX2html)
  * xdvi:      Add a warning about not to use XAPPLRESDIR for R4 or later.
  * texi2dvi:  update to latest version
  * texi2html: update to latest version
  * amslatex, babel, xypic, xypic-doc, Catalogue, dante-faq, uktug-faq,
  tds.dvi, custom.bib, g-brief, koma-script, minitoc, modes.mf, cite,
  psfrag, supertabular, latex2e-html, FAQ_LaTeX_francaise_V1.8
* Tue Nov 11 1997 - werner@suse.de
- Update to version teTeX-lib-0.4pl8 teTeX-src-0.4pl7
- Include some fd description with upper case file names
  to avoid trouble (new fsstnd using only lowercase names)
- Some changes on texhash, texconfig (color), MakeTeXPK
- spec file
* Fri Jun 20 1997 - werner@suse.de
- Remove texi2html and texi2dvi because these scripts are included in
  the package texinfo.
* Mon May 12 1997 - werner@suse.de
- fixes for bash 2.0
- Make texhash work for anybody
* Mon Mar 17 1997 - werner@suse.de
- ltxcheck.tex, french hyphenation patterns, 2 files from babel (last
  update has introduced unofficial changes to these files), amstex,
  natbib, ec fonts documentation, Catalogue, de-tex-faq, unixtex.ftp,
  2 files for doc/latex/base, foiltex, ntgclass, supertabular, psfrag,
  geometry, draftcopy, epslatex.ps
- minor changes to the scripts: MakeTeXPK MakeTeXTFM texconfig texhash allcm
- temporary fix for amslatex bug
  (lowercase *.fd / *enc.def files vs. mixed case)
- move files in texmf/dvips into their appropriate subdirectories
- Update LaTeX to version: LaTeX2e <1996/12/01> patch level 1
  changed files in $TEXMF/tex/latex:
  tex/latex/base/doc.sty tex/latex/base/ltpatch.ltx
  tex/latex/base/shortvrb.sty tex/latex/graphics/dvipdf.def
  tex/latex/tools/tabularx.sty
- * Adds for S.u.S.E.: some simple fd-files including the originale fd-files
  which have new file names (characters changed from upper to lower case)
  ... therefore the old convention should work too
  * Make MakeTeXPK and MakeTeXTFM continuing work if mf gives error.
* Tue Feb 11 1997 - werner@suse.de
- Update on teTeX version 0.4 (teTeX-lib-0.4pl6, teTeX-src-0.4pl6)
  * ec fonts, latex/base (dec 96 release), latex/tools, latex/graphics,
  latex/mfnfss, babel, psfrag, texinfo, program.sty, special.map (ec fonts)
  * MakeTeXMF: support for ec fonts added
  texi2html: update to latest version
- Adds for S.u.S.E.: some simple fd-files including the originale fd-files
  which have new file names (characters changed from upper to lower case)
  ... therefore the old convention should work too
* Thu Jan 02 1997 - werner@suse.de
- Update auf teTeX Version 0.4 (teTeX-lib-0.4pl1, teTeX-src-0.4pl3)
  * Neues LaTeX2e <1996/06/01>
  * MetaPost (Analog zu MetaFont: Erzeugt statt Bitmaps PostScript)
  * Custom-Bib: Einfaches Erzeugen von BibTeX-Styles
  (Doku unter /usr/doc/packages/teTeX/doc/latex/custom-bib/)
  * Konfiguration von vardir von /var/tmp/texfonts auf /var/texfonts
  gendert (analog zu teTeX-0.3.3)
  * Benutzung vom System-Dialog-Programm mit den System-Terminfo-Eintrgen.
